Loading...
Searching...
No Matches
gx_engine::LiveLooper::FileResampler Class Reference

## Public Member Functions

int | setup (int _inputRate, int _outputRate)
int | run (int count, float *input, float *output)
int | max_out_count (int in_count)

## Private Attributes

Resampler | r_file
int | inputRate
int | outputRate

## Detailed Description

Definition at line 830 of file gx_internal_plugins.h.

## Member Function Documentation

## max_out_count()

int gx_engine::LiveLooper::FileResampler::max_out_count | ( | int | in_count | ) |

inline

Definition at line 837 of file gx_internal_plugins.h.

## run()

int gx_engine::LiveLooper::FileResampler::run | ( | int | count,
|  | float * | input,
|  | float * | output )

## setup()

int gx_engine::LiveLooper::FileResampler::setup | ( | int | _inputRate,
|  | int | _outputRate )

## Member Data Documentation

## inputRate

int gx_engine::LiveLooper::FileResampler::inputRate

private

Definition at line 833 of file gx_internal_plugins.h.

Referenced by max_out_count().

## outputRate

int gx_engine::LiveLooper::FileResampler::outputRate

private

Definition at line 833 of file gx_internal_plugins.h.

Referenced by max_out_count().

## r_file

Resampler gx_engine::LiveLooper::FileResampler::r_file

private

Definition at line 832 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h